<?                     

$um = @mysql_query ("Select user from users where id='8' LIMIT 1;");
$y = @mysql_fetch_array ($um);
$umnik = $y["user"];
$uid = "8";
$uus = "".$umnik."";

$a = mysql_query ("Select * from vopros where klu4='2'"); 
$b = mysql_fetch_array ($a);
$nom = $b["number"];
$vr = $b["time"];
$answ = $b["answer"];


if (time()>=$vr){  
if ($nom == 5){
$st = time();           
$st = $st + 240;
@mysql_query ("Update vopros set time = '".$st."' WHERE klu4 = '2'"); 
$r = mysql_query ("Select count(*) as num from bots");
$a = mysql_fetch_array($r);
$num = $a["num"];
$rnd = rand(1,$num); 
$qu = mysql_query ("Select * from bots where number='".$rnd."'");
$re = mysql_fetch_array ($qu);     
$answ = $re["answer"];   
$tran = $re["tran"];
$nom = 0;
$vr = $st; 
$otv = utf_to_win($answ);    
$i = strlen($otv);

$question = rand(25,31); 
$question = str_replace("25","(<b>".($i + rand(1, 8))."</b> букв, да не, напиздил <b>".$i."</b> или <b>".rand(2, 10)."</b>, Хуй знает)",$question);
$question = str_replace("26","(<b>".$i."</b> букв)",$question);
$question = str_replace("27","(<b>3 456</b> букв гг. Пизжу. Не помню я)",$question);
$question = str_replace("28","(нихуя не скажу...)",$question);
$question = str_replace("29","(<b>".$i."</b> букв. Наверное...)",$question);
$question = str_replace("30","(сами считайте гг...)",$question);
$question = str_replace("31","(букв мало. Или много. Короче похуй.)",$question);
$question2 = $question;

$vp = "<b>Вопрос:</b> ".$re["vopros"]." ".$question2."";
mysql_query ("Update vopros set number = '".$nom."', question = '".$vp."', answer = '".$answ."', tran = '".$tran."' WHERE klu4 ='2'");
$a = mysql_query ("Select posts from users where id='".$uid."'");
$b = mysql_fetch_array ($a);
$p = $b["posts"]; 
$p++;
$st = getmicrotime();
@mysql_query ("Update users set posts='".$p."', onl='".$st."', room='0' where id ='".$uid."'");
$today=date ("H:i"); 
$rnd = rand(0,99999999);

mysql_query ("Insert into room11 set klu4= '".$rnd."', time='".$today."', who='".$uus."', message='".$vp."', id='".$st."', towhom='', hid='0', usid='".$uid."', komu=''");  
} else { 
$victint = $set["victint"];
$st = time();           
$st = $st + $victint;
if ($victint=="10") $interval="10 секунд";
else if ($victint=="30") $interval="30 секунд";
else if ($victint=="60") $interval="минуту";
else $interval="2 минуты";
mysql_query ("Update vopros set time = '".$st."' WHERE klu4 = '2'");
$r = mysql_query ("Select count(*) as num from bots");
$a = mysql_fetch_array($r);
$num = $a["num"];
$rnd = rand(1,$num); 
$qu = mysql_query ("Select * from bots where number='".$rnd."'");
$re = mysql_fetch_array ($qu);     
$answ = " "; 
$tran = " ";
$nom = 5;
$vr = $st; 
mysql_query ("Update vopros set number = '".$nom."', answer = '".$answ."', tran = '".$tran."' WHERE klu4 = '2'");

$a = mysql_query ("Select posts from users where id='".$uid."'");
$b = mysql_fetch_array ($a);
$p = $b["posts"]; 
$p++;
$st = getmicrotime();                
@mysql_query ("Update users set posts='".$p."', onl='".$st."', room='0' where id ='".$uid."'");

$vp = rand(1,8); 
$vp = str_replace("1","Отсосите, чмошники! Уебывайте не дожидаясь следующего вопроса.",$vp);
$vp = str_replace("2","Проебали вы время, дуболомы! Ждите следующего заёба.",$vp);
$vp = str_replace("3","И снова победила тупость печальных мудозвонов, называющих себя знатоками...",$vp);
$vp = str_replace("4","Время вышло долбоёбы. Идите книги читать бля...",$vp);
$vp = str_replace("5","И снова нихуя не знаете. Вас учили только хуй сосать?",$vp);
$vp = str_replace("6","Время истекло. следующий вопрос через ".$interval.".",$vp);
$vp = str_replace("7","Нету ответа? Нету! Куриные мозги местных уебков расплавились и завоняли. Пиздец.",$vp);
$vp = str_replace("8","Ни один пидор не дал правильного ответа. Вы посылаетесь нахуй.",$vp);
$vp2 = $vp;

$today=date ("H:i"); 
$rnd = rand(0,99999999);
mysql_query ("Insert into room11 set klu4= '".$rnd."', time='".$today."', who='".$uus."', message='".$vp2."', id='".$st."', towhom='', hid='0', usid='".$uid."', komu=''");            
}
}else 
if ((($vr-time())<180)&&($nom == 0)){
$nom = 1;  
mysql_query ("Update vopros set number = '".$nom."', answer = '".$answ."' WHERE klu4 ='2'");

$a = mysql_query ("Select posts from users where id='".$uid."'");
$b = mysql_fetch_array ($a);
$p = $b["posts"]; 
$p++;
$st = getmicrotime();  
@mysql_query ("Update users set posts='".$p."', onl='".$st."', room='0' where id ='".$uid."'");
$v = utf_to_win($answ);
$v = substr($v,0,1);
$v = win_to_utf($v);
$vp = rand(1,12); 
$vp = str_replace("1","Пинок под срач всем тупорылым ублюдосинам: <b>".$v."...</b>",$vp); 
$vp = str_replace("2","Подсказка всем конченным долбоёбищам: <b>".$v."...</b>",$vp);
$vp = str_replace("3","Хуй с вами, мудозвоны, ловите подсказку: <b>".$v."...</b>",$vp); 
$vp = str_replace("4","Ебанутые вы. Для дебилов охуевших - подсказка: <b>".$v."...</b>",$vp); 
$vp = str_replace("5","Подсказка: <b>".$v."...</b> Слышите, бляди тупорылые? <b>".$v."...</b>! Еще повторить? ! Теперь дошло, дебилы??",$vp); 
$vp = str_replace("6","Подсказка нах: <b>".$v."...</b>",$vp); 
$vp = str_replace("7","Подъёбка: <b>".$v."...</b>",$vp);
$vp = str_replace("8","Че, дрочите, слабоумные? Вот подсказка: <b>".$v."...</b>",$vp);
$vp = str_replace("9","Подсказку захотели? А отсосать?",$vp); 
$vp = str_replace("10","Че бля подсказку хуйнуть? А без нее сосете? Тогда сосите с ней: <b>".$v."...</b>",$vp);
$vp = str_replace("11","Вы меня заебали! Нихуя вам подсказывать не буду!",$vp); 
$vp = str_replace("12","сколько букв не помню, но дохуя.",$vp);
$vp2 = $vp;
$today=date ("H:i");
$rnd = rand(0,99999999);
@mysql_query ("Insert into room11 set klu4= '".$rnd."', time='".$today."', who='".$uus."', message='".$vp2."', id='".$st."', towhom='', hid='0', usid='".$uid."', komu=''");    
} else 
if ((($vr-time())<90)&&($nom < 2)){
$nom = 2; 
mysql_query ("Update vopros set number = '".$nom."', answer = '".$answ."' WHERE klu4 ='2'");
$a = mysql_query ("Select posts from users where id='".$uid."'");
$b = mysql_fetch_array ($a);
$p = $b["posts"]; 
$p++;
$st = getmicrotime();  
@mysql_query ("Update users set posts='".$p."', onl='".$st."', room='0' where id ='".$uid."'");           

$v = utf_to_win($answ);
$i = strlen($v)/3;
if ($i<2) $i=2;
$v = substr($v,0,$i);
$v = win_to_utf($v);
$vp = rand(1,12); 
$vp = str_replace("1","Пинок под срач всем тупорылым ублюдосинам: <b>".$v."...</b>",$vp); 
$vp = str_replace("2","Подсказка всем конченным долбоёбищам: <b>".$v."...</b>",$vp);
$vp = str_replace("3","Хуй с вами, мудозвоны, ловите подсказку: <b>".$v."...</b>",$vp); 
$vp = str_replace("4","Ебанутые вы. Для дебилов охуевших - подсказка: <b>".$v."...</b>",$vp); 
$vp = str_replace("5","Подсказка: <b>".$v."...</b> Слышите, бляди тупорылые? <b>".$v."...</b>! Еще повторить? ! Теперь дошло, дебилы??",$vp); 
$vp = str_replace("6","Подсказка нах: <b>".$v."...</b>",$vp); 
$vp = str_replace("7","Подъёбка: <b>".$v."...</b>",$vp);
$vp = str_replace("8","Че, дрочите, слабоумные? Вот подсказка: <b>".$v."...</b>",$vp);
$vp = str_replace("9","Подсказку захотели? А отсосать?",$vp); 
$vp = str_replace("10","Че бля подсказку хуйнуть? А без нее сосете? Тогда сосите с ней: <b>".$v."...</b>",$vp);
$vp = str_replace("11","Вы меня заебали! Нихуя вам подсказывать не буду!",$vp); 
$vp = str_replace("12","сколько букв не помню, но дохуя.",$vp);
$vp2 = $vp;
$today=date ("H:i");
$rnd = rand(0,99999999);
@mysql_query ("Insert into room11 set klu4= '".$rnd."', time='".$today."', who='".$uus."', message='".$vp2."', id='".$st."', towhom='', hid='0', usid='".$uid."', komu=''");   
} 
?>
